//
// Modified button test program for the Fast Light Tool Kit (FLTK).
//

#include <stdlib.h>
#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Return_Button.H>
#include <FL/Fl_Repeat_Button.H>
#include <FL/Fl_Check_Button.H>
#include <FL/Fl_Light_Button.H>
#include <FL/Fl_Round_Button.H>

int opt = 0; // commandline option (first argument) -- see STR #3358

void button_cb(Fl_Widget *w, void *) {
  if (opt < 0)
    w->parent()->redraw();
}

int main(int argc, char ** argv) {

  Fl_Button *o;
  if (argc > 1) opt = atoi(argv[1]);
  if (opt) Fl::option(Fl::OPTION_VISIBLE_FOCUS, false);

  Fl_Window *window = new Fl_Window(320,130);
  Fl_Button *b = new Fl_Button(10, 10, 130, 30, "Fl_Button");
  b->tooltip("This is a Tooltip.");
  new Fl_Return_Button(150, 10, 160, 30, "Fl_Return_Button");
  new Fl_Repeat_Button(10,50,130,30,"Fl_Repeat_Button");
  new Fl_Light_Button(10,90,130,30,"Fl_Light_Button");
  
  o = new Fl_Round_Button(150,50,160,30,"Fl_Round_Button");
  if (opt >= 2) o->box(FL_FLAT_BOX);
  o->callback(button_cb);

  o = new Fl_Check_Button(150,90,160,30,"Fl_Check_Button");
  if (opt >= 3) o->box(FL_FLAT_BOX);
  o->callback(button_cb);

  window->end();
  window->resizable(window);

  window->show(1,argv);
  return Fl::run();
}
